| MINI58_BSP V3.01.003 The Board Support Package for Mini58 Series MCU

Macros | Functions | Variables
system_Mini58Series.h File Reference

Mini58 series system clock definition file. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | __XTAL12M (12000000UL)
#define | __XTAL32K (32768UL)
#define | __IRC10K (10000UL)
#define | __XTAL __XTAL12M
#define | __HXT __XTAL
#define | __HIRC (22118400UL) /* Clock output of Internal high speed RC 22.1184M */

## Functions
void | SystemCoreClockUpdate (void)
| Updates the SystemCoreClock with current core Clock retrieved from CPU registers. More...
void | SystemInit (void)
| Check HIRC clock rate feed to HCLK. More...

## Variables
uint32_t | __HSI
uint32_t | SystemCoreClock
uint32_t | CyclesPerUs
uint32_t | PllClock

## Detailed Description

Mini58 series system clock definition file.

Version
  V1.00

Revision
  5

Date
  15/05/26 10:19a

Note
  SPDX-License-Identifier: Apache-2.0 Copyright (C) 2015 Nuvoton Technology Corp. All rights reserved.

Definition in file system_Mini58Series.h.

## Macro Definition Documentation

## ◆ __HIRC

#define __HIRC (22118400UL) /* Clock output of Internal high speed RC 22.1184M */

Definition at line 33 of file system_Mini58Series.h.

## ◆ __HXT

#define __HXT __XTAL

Definition at line 32 of file system_Mini58Series.h.

## ◆ __IRC10K

#define __IRC10K (10000UL)

Definition at line 30 of file system_Mini58Series.h.

## ◆ __XTAL

#define __XTAL __XTAL12M

Definition at line 31 of file system_Mini58Series.h.

## ◆ __XTAL12M

#define __XTAL12M (12000000UL)

Definition at line 28 of file system_Mini58Series.h.

## ◆ __XTAL32K

#define __XTAL32K (32768UL)

Definition at line 29 of file system_Mini58Series.h.

## Function Documentation

## ◆ SystemCoreClockUpdate()

void SystemCoreClockUpdate | ( | void |  | ) |

Updates the SystemCoreClock with current core Clock retrieved from CPU registers.

Update SystemCoreClock variable

Parameters

  None |

Returns
  None

Updates the SystemCoreClock with current core Clock retrieved from CPU registers.

Parameters

  None. |

Return values

  None. |

Definition at line 43 of file system_Mini58Series.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ SystemInit()

void SystemInit | ( | void |  | ) |

Check HIRC clock rate feed to HCLK.

Returns
  none

Definition at line 31 of file system_Mini58Series.c.

## Variable Documentation

## ◆ __HSI

uint32_t __HSI
| extern

Factory Default is internal high speed RC 44.2368M divided by 2

Definition at line 21 of file system_Mini58Series.c.

## ◆ CyclesPerUs

uint32_t CyclesPerUs
| extern

Cycles per micro second

Definition at line 23 of file system_Mini58Series.c.

## ◆ PllClock

uint32_t PllClock
| extern

PLL Output Clock Frequency

Definition at line 22 of file system_Mini58Series.c.

## ◆ SystemCoreClock

uint32_t SystemCoreClock
| extern

System Clock Frequency (Core Clock)

Definition at line 20 of file system_Mini58Series.c.